Lavalite package that provides voodoo management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `love/voodoo`.

    "love/voodoo": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Love\Voodoo\Providers\VoodooServiceProvider::class,

And also add it to alias

    'Voodoo'  => Love\Voodoo\Facades\Voodoo::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Love\\Voodoo\\Seeders\\VoodooTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Love\Voodoo\Providers\VoodooServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Love\Voodoo\Providers\VoodooServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Love\Voodoo\Providers\VoodooServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/voodoo/{modulename}

**User**

    http://path-to-route-folder/user/voodoo/{modulename}

**Public**

    http://path-to-route-folder/voodoos


### API endpoints

**List**

    http://path-to-route-folder/api/user/voodoo/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/voodoo/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/voodoo/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/voodoo/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/voodoo/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/voodoo/{modulename}/{slug}
    METHOD: GET